<?php

namespace Teknisa\GQL\Modules\Cadastros\Services;

use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DTO;

class gql00100DestinoDoProdutoService
{
    protected $connection;
    
    public function __construct($entityManager, $environment)
    {
        $this->connection = $entityManager->getConnection();
        $this->environment = $environment;
    }
    
    /* ****************
     *    SELECT      *
     ******************/
    
    public function getCodDestProd($row) 
    {
		$param = array(
		    'P_CDDESTPROD' => $row['P_CDDESTPROD']
		);
		
        $query = "SELECT
                     CDDESTPROD
                 FROM
                     DESTPROD
                 WHERE
                     (CDDESTPROD = :P_CDDESTPROD)";
        try {
            $std = $this->connection->prepare($query);
            $std->execute($param);
            
            return $std->fetchAll();
        } catch (Exception $e){
            throw $e;
        }
    }
    
    public function getDescricao($row) 
    {
		$param = array (
		    'P_DSDESTPROD' => $row['P_DSDESTPROD']
		); 

        $query = "SELECT
                     DSDESTPROD
                 FROM
                     DESTPROD
                 WHERE
                     (DSDESTPROD = :P_DSDESTPROD)";
        try {
            $std = $this->connection->prepare($query);
            $std->execute($param);
            
            return $std->fetchAll();
        } catch (Exception $e){
            throw $e;
        }
    }
    
    /* ***************
     *    INSERT     *
     *****************/
    
    public function insertDestinoDoProduto($row) 
    {
		$param = array(
		    'P_CDDESTPROD'  => $row['P_CDDESTPROD'],
		    'P_DSDESTPROD' => $row['P_DSDESTPROD']
		);
		
        $query = "INSERT INTO DESTPROD
                     (CDDESTPROD, DSDESTPROD)
                 VALUES
                     (:P_CDDESTPROD, :P_DSDESTPROD)";
        try {
            $std = $this->connection->prepare($query);
            $std->execute($param);
        } catch (Exception $e){
            throw $e;
        }
    }
    
    /* ****************
     *    UPDATE      *
     ******************/
    
    public function updateDestinoDoProduto($row) 
    {
		$param = array(
		    'P_CDDESTPROD'  => $row['P_CDDESTPROD'],
		    'P_DSDESTPROD' => $row['P_DSDESTPROD']
		);
		
        $query = "UPDATE DESTPROD
                     SET CDDESTPROD  = :P_CDDESTPROD,
                         DSDESTPROD = :P_DSDESTPROD
                   WHERE CDDESTPROD  = :P_CDDESTPROD";
        try {
            $std = $this->connection->prepare($query);
            $std->execute($param);
        } catch (Exception $e) {
            throw $e;
        }
    }
    
    /* ****************
     *    DELETE      *
     ******************/
    
    public function deleteDestinoDoProduto($row) 
    {
		$param = array(
		    'P_CDDESTPROD'  => $row['P_CDDESTPROD']
		);
		
        $query = "DELETE FROM DESTPROD
                   WHERE CDDESTPROD = :P_CDDESTPROD";
        try {
            $std = $this->connection->prepare($query);
            $std->execute($param);
        } catch (Exception $e) {
            throw $e;
        }
    }
}