<?php
namespace Teknisa\GQL\Modules\Relatorios\Controllers;

use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Response\Error;
use Zeedhi\Framework\DTO\Response\Message;
use Zeedhi\Framework\Report\ReportService;

class Gql01100QualificacaoFornecedorAtendidoRegiaoController extends \Zeedhi\Framework\Controller\Report
{
    protected $qr2Strategy;
    protected $stNomeRel;
    protected $stExtensao;
    
    public function __construct(reportService $reportService, $qr2Strategy) 
    {
        parent::__construct($reportService);
        $this->qr2Strategy = $qr2Strategy;
    }
    
    protected $reportMapping = array ();
    
    public function beforeProcessReport(DTO\Request\Row $request, DTO\Response $response) 
    {
        $row = $request->getRow();
        $this->qr2Strategy->setQr2Type($row['QR2TYPE']);
        $this->stNomeRel = $this->getReportName($row);
        $row['FORNECEDOR1'] = $row['FORNECEDOR'];
        $row['QUALIFICACAO1'] = $row['QUALIFICACAO'];
        $row['REGIAO1'] = $row['REGIAO'];
        $this->reportMapping[$this->stNomeRel] =
        array (
            'strategy' => $row["STRATEGY"],
            'parameterMapping' => 
            array (
                'FORNECEDOR'         => 'P_CDFORNECED',
                'FORNECEDOR1'        => 'P_CDFORNTODOS',
                'SITUACAO'           => 'P_IDSITUCADA',
                'QUALIFICACAO'       => 'P_CDQUALIF',
                'QUALIFICACAO1'      => 'P_CDQUALTODAS',
                'REGIAO'             => 'P_CDREGIAO',
                'REGIAO1'            => 'P_CDREGTODAS',
            ),
        );
    }
}